package cn.com.qmth.examcloud.app.service;

import cn.com.qmth.examcloud.app.core.SysProperty;
import cn.com.qmth.examcloud.app.core.router.Router;
import cn.com.qmth.examcloud.app.model.Result;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.util.Assert;

@Component
public class RouterService {
    private static Logger log = LoggerFactory.getLogger(RouterService.class);
    @Autowired
    private SysProperty sysProperty;

    public Result execute(Router router) {
        Assert.notNull(router, "参数“router”不能为空！");
        Assert.notNull(router.getServer(), "参数“server”不能为空！");
        Assert.hasLength(router.getUrl(), "参数“url”不能为空！");
        Assert.notNull(router.getMethod(), "参数“method”不能为空！");
        log.info(String.format("Router:[%s][%s]-%s ", router.getServer().getInstanceName(), router.getMethod().name(), router.getUrl()));


        return new Result().success();
    }

}